/*===========================================================================*/
/*   (Ieee/char.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Ieee/char.scm -indent -o objs/obj_s/Ieee/char.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#define BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#endif // BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL long BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 = BUNSPEC;
static obj_t BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_z62charzc3zf3z52zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2notzb0zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl_z62charzd3zf3z42zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl_z62charze3zf3z72zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00(void);
BGL_EXPORTED_DECL bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2andzb0zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
static obj_t BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned char, unsigned char);
BGL_EXPORTED_DECL bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00(obj_t, obj_t);
static obj_t BGl_z62charzf3z91zz__r4_characters_6_6z00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char);
BGL_EXPORTED_DECL unsigned char BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t BGl_z62charzd2orzb0zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char, unsigned char);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3charzd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762integerza7d2za7e31531za7, BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00, BgL_bgl_za762charza7d3za7f3za7421532z00, BGl_z62charzd3zf3z42zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2upcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2upcase1533z00, BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2whitespacezf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2whites1534z00, BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1502z00zz__r4_characters_6_6z00, BgL_bgl_string1502za700za7za7_1535za7, "/tmp/bigloo/runtime/Ieee/char.scm", 33 );
BGL_DEFINE_STRING(BGl_string1503z00zz__r4_characters_6_6z00, BgL_bgl_string1503za700za7za7_1536za7, "&char=?", 7 );
BGL_DEFINE_STRING(BGl_string1504z00zz__r4_characters_6_6z00, BgL_bgl_string1504za700za7za7_1537za7, "bchar", 5 );
BGL_DEFINE_STRING(BGl_string1505z00zz__r4_characters_6_6z00, BgL_bgl_string1505za700za7za7_1538za7, "&char<?", 7 );
BGL_DEFINE_STRING(BGl_string1506z00zz__r4_characters_6_6z00, BgL_bgl_string1506za700za7za7_1539za7, "&char>?", 7 );
BGL_DEFINE_STRING(BGl_string1507z00zz__r4_characters_6_6z00, BgL_bgl_string1507za700za7za7_1540za7, "&char<=?", 8 );
BGL_DEFINE_STRING(BGl_string1508z00zz__r4_characters_6_6z00, BgL_bgl_string1508za700za7za7_1541za7, "&char>=?", 8 );
BGL_DEFINE_STRING(BGl_string1509z00zz__r4_characters_6_6z00, BgL_bgl_string1509za700za7za7_1542za7, "&char-ci=?", 10 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2numericzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2numeri1543z00, BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1510z00zz__r4_characters_6_6z00, BgL_bgl_string1510za700za7za7_1544za7, "&char-ci<?", 10 );
BGL_DEFINE_STRING(BGl_string1511z00zz__r4_characters_6_6z00, BgL_bgl_string1511za700za7za7_1545za7, "&char-ci>?", 10 );
BGL_DEFINE_STRING(BGl_string1512z00zz__r4_characters_6_6z00, BgL_bgl_string1512za700za7za7_1546za7, "&char-ci<=?", 11 );
BGL_DEFINE_STRING(BGl_string1513z00zz__r4_characters_6_6z00, BgL_bgl_string1513za700za7za7_1547za7, "&char-ci>=?", 11 );
BGL_DEFINE_STRING(BGl_string1514z00zz__r4_characters_6_6z00, BgL_bgl_string1514za700za7za7_1548za7, "&char-alphabetic?", 17 );
BGL_DEFINE_STRING(BGl_string1515z00zz__r4_characters_6_6z00, BgL_bgl_string1515za700za7za7_1549za7, "&char-numeric?", 14 );
BGL_DEFINE_STRING(BGl_string1516z00zz__r4_characters_6_6z00, BgL_bgl_string1516za700za7za7_1550za7, "&char-whitespace?", 17 );
BGL_DEFINE_STRING(BGl_string1517z00zz__r4_characters_6_6z00, BgL_bgl_string1517za700za7za7_1551za7, "&char-upper-case?", 17 );
BGL_DEFINE_STRING(BGl_string1518z00zz__r4_characters_6_6z00, BgL_bgl_string1518za700za7za7_1552za7, "&char-lower-case?", 17 );
BGL_DEFINE_STRING(BGl_string1519z00zz__r4_characters_6_6z00, BgL_bgl_string1519za700za7za7_1553za7, "&char->integer", 14 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2cizd3zf3zd2envz20zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7d3za71554z00, BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1520z00zz__r4_characters_6_6z00, BgL_bgl_string1520za700za7za7_1555za7, "integer->char", 13 );
BGL_DEFINE_STRING(BGl_string1521z00zz__r4_characters_6_6z00, BgL_bgl_string1521za700za7za7_1556za7, "integer out of range", 20 );
BGL_DEFINE_STRING(BGl_string1522z00zz__r4_characters_6_6z00, BgL_bgl_string1522za700za7za7_1557za7, "&integer->char", 14 );
BGL_DEFINE_STRING(BGl_string1523z00zz__r4_characters_6_6z00, BgL_bgl_string1523za700za7za7_1558za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1524z00zz__r4_characters_6_6z00, BgL_bgl_string1524za700za7za7_1559za7, "&integer->char-ur", 17 );
BGL_DEFINE_STRING(BGl_string1525z00zz__r4_characters_6_6z00, BgL_bgl_string1525za700za7za7_1560za7, "&char-upcase", 12 );
BGL_DEFINE_STRING(BGl_string1526z00zz__r4_characters_6_6z00, BgL_bgl_string1526za700za7za7_1561za7, "&char-downcase", 14 );
BGL_DEFINE_STRING(BGl_string1527z00zz__r4_characters_6_6z00, BgL_bgl_string1527za700za7za7_1562za7, "&char-or", 8 );
BGL_DEFINE_STRING(BGl_string1528z00zz__r4_characters_6_6z00, BgL_bgl_string1528za700za7za7_1563za7, "&char-and", 9 );
BGL_DEFINE_STRING(BGl_string1529z00zz__r4_characters_6_6z00, BgL_bgl_string1529za700za7za7_1564za7, "&char-not", 9 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charze3zf3zd2envzc2zz__r4_characters_6_6z00, BgL_bgl_za762charza7e3za7f3za7721565z00, BGl_z62charze3zf3z72zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1530z00zz__r4_characters_6_6z00, BgL_bgl_string1530za700za7za7_1566za7, "__r4_characters_6_6", 19 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2cize3zd3zf3zd2envzc3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7e3za71567z00, BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2alphabeticzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2alphab1568z00, BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2andzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2andza7b01569za7, BGl_z62charzd2andzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2lowerzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2lowerza71570za7, BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2cize3zf3zd2envz10zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7e3za71571z00, BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charze3zd3zf3zd2envz11zz__r4_characters_6_6z00, BgL_bgl_za762charza7e3za7d3za7f31572z00, BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2cizc3zd3zf3zd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7c3za71573z00, BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7f3za791za7za7_1574za7, BGl_z62charzf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3integerzd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2za7e3int1575za7, BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzc3zf3zd2envze2zz__r4_characters_6_6z00, BgL_bgl_za762charza7c3za7f3za7521576z00, BGl_z62charzc3zf3z52zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2notzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2notza7b01577za7, BGl_z62charzd2notzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2downcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2downca1578z00, BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3charzd2urzd2envz31zz__r4_characters_6_6z00, BgL_bgl_za762integerza7d2za7e31579za7, BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2orzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2orza7b0za71580z00, BGl_z62charzd2orzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzc3zd3zf3zd2envz31zz__r4_characters_6_6z00, BgL_bgl_za762charza7c3za7d3za7f31581z00, BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2cizc3zf3zd2envz30zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7c3za71582z00, BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2upperzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2upperza71583za7, BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_charzd2upperzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2upperza71583za7);
BGL_BIND_PROCEDURE(BGl_charzd2cizc3zf3zd2envz30zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7c3za71582z00);
BGL_BIND_PROCEDURE(BGl_charzc3zd3zf3zd2envz31zz__r4_characters_6_6z00, BgL_bgl_za762charza7c3za7d3za7f31581z00);
BGL_BIND_PROCEDURE(BGl_charzd2orzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2orza7b0za71580z00);
BGL_BIND_PROCEDURE(BGl_integerzd2ze3charzd2urzd2envz31zz__r4_characters_6_6z00, BgL_bgl_za762integerza7d2za7e31579za7);
BGL_BIND_PROCEDURE(BGl_charzd2downcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2downca1578z00);
BGL_BIND_PROCEDURE(BGl_charzd2notzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2notza7b01577za7);
BGL_BIND_PROCEDURE(BGl_charzc3zf3zd2envze2zz__r4_characters_6_6z00, BgL_bgl_za762charza7c3za7f3za7521576z00);
BGL_BIND_PROCEDURE(BGl_charzd2ze3integerzd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2za7e3int1575za7);
BGL_BIND_PROCEDURE(BGl_charzf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7f3za791za7za7_1574za7);
BGL_BIND_PROCEDURE(BGl_charzd2cizc3zd3zf3zd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7c3za71573z00);
BGL_BIND_PROCEDURE(BGl_charze3zd3zf3zd2envz11zz__r4_characters_6_6z00, BgL_bgl_za762charza7e3za7d3za7f31572z00);
BGL_BIND_PROCEDURE(BGl_charzd2cize3zf3zd2envz10zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7e3za71571z00);
BGL_BIND_PROCEDURE(BGl_charzd2lowerzd2casezf3zd2envz21zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2lowerza71570za7);
BGL_BIND_PROCEDURE(BGl_charzd2andzd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2andza7b01569za7);
BGL_BIND_PROCEDURE(BGl_charzd2alphabeticzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2alphab1568z00);
BGL_BIND_PROCEDURE(BGl_charzd2cize3zd3zf3zd2envzc3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7e3za71567z00);
BGL_BIND_STRING(BGl_string1530z00zz__r4_characters_6_6z00, BgL_bgl_string1530za700za7za7_1566za7);
BGL_BIND_PROCEDURE(BGl_charze3zf3zd2envzc2zz__r4_characters_6_6z00, BgL_bgl_za762charza7e3za7f3za7721565z00);
BGL_BIND_STRING(BGl_string1529z00zz__r4_characters_6_6z00, BgL_bgl_string1529za700za7za7_1564za7);
BGL_BIND_STRING(BGl_string1528z00zz__r4_characters_6_6z00, BgL_bgl_string1528za700za7za7_1563za7);
BGL_BIND_STRING(BGl_string1527z00zz__r4_characters_6_6z00, BgL_bgl_string1527za700za7za7_1562za7);
BGL_BIND_STRING(BGl_string1526z00zz__r4_characters_6_6z00, BgL_bgl_string1526za700za7za7_1561za7);
BGL_BIND_STRING(BGl_string1525z00zz__r4_characters_6_6z00, BgL_bgl_string1525za700za7za7_1560za7);
BGL_BIND_STRING(BGl_string1524z00zz__r4_characters_6_6z00, BgL_bgl_string1524za700za7za7_1559za7);
BGL_BIND_STRING(BGl_string1523z00zz__r4_characters_6_6z00, BgL_bgl_string1523za700za7za7_1558za7);
BGL_BIND_STRING(BGl_string1522z00zz__r4_characters_6_6z00, BgL_bgl_string1522za700za7za7_1557za7);
BGL_BIND_STRING(BGl_string1521z00zz__r4_characters_6_6z00, BgL_bgl_string1521za700za7za7_1556za7);
BGL_BIND_STRING(BGl_string1520z00zz__r4_characters_6_6z00, BgL_bgl_string1520za700za7za7_1555za7);
BGL_BIND_PROCEDURE(BGl_charzd2cizd3zf3zd2envz20zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2ciza7d3za71554z00);
BGL_BIND_STRING(BGl_string1519z00zz__r4_characters_6_6z00, BgL_bgl_string1519za700za7za7_1553za7);
BGL_BIND_STRING(BGl_string1518z00zz__r4_characters_6_6z00, BgL_bgl_string1518za700za7za7_1552za7);
BGL_BIND_STRING(BGl_string1517z00zz__r4_characters_6_6z00, BgL_bgl_string1517za700za7za7_1551za7);
BGL_BIND_STRING(BGl_string1516z00zz__r4_characters_6_6z00, BgL_bgl_string1516za700za7za7_1550za7);
BGL_BIND_STRING(BGl_string1515z00zz__r4_characters_6_6z00, BgL_bgl_string1515za700za7za7_1549za7);
BGL_BIND_STRING(BGl_string1514z00zz__r4_characters_6_6z00, BgL_bgl_string1514za700za7za7_1548za7);
BGL_BIND_STRING(BGl_string1513z00zz__r4_characters_6_6z00, BgL_bgl_string1513za700za7za7_1547za7);
BGL_BIND_STRING(BGl_string1512z00zz__r4_characters_6_6z00, BgL_bgl_string1512za700za7za7_1546za7);
BGL_BIND_STRING(BGl_string1511z00zz__r4_characters_6_6z00, BgL_bgl_string1511za700za7za7_1545za7);
BGL_BIND_STRING(BGl_string1510z00zz__r4_characters_6_6z00, BgL_bgl_string1510za700za7za7_1544za7);
BGL_BIND_PROCEDURE(BGl_charzd2numericzf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2numeri1543z00);
BGL_BIND_STRING(BGl_string1509z00zz__r4_characters_6_6z00, BgL_bgl_string1509za700za7za7_1542za7);
BGL_BIND_STRING(BGl_string1508z00zz__r4_characters_6_6z00, BgL_bgl_string1508za700za7za7_1541za7);
BGL_BIND_STRING(BGl_string1507z00zz__r4_characters_6_6z00, BgL_bgl_string1507za700za7za7_1540za7);
BGL_BIND_STRING(BGl_string1506z00zz__r4_characters_6_6z00, BgL_bgl_string1506za700za7za7_1539za7);
BGL_BIND_STRING(BGl_string1505z00zz__r4_characters_6_6z00, BgL_bgl_string1505za700za7za7_1538za7);
BGL_BIND_STRING(BGl_string1504z00zz__r4_characters_6_6z00, BgL_bgl_string1504za700za7za7_1537za7);
BGL_BIND_STRING(BGl_string1503z00zz__r4_characters_6_6z00, BgL_bgl_string1503za700za7za7_1536za7);
BGL_BIND_STRING(BGl_string1502z00zz__r4_characters_6_6z00, BgL_bgl_string1502za700za7za7_1535za7);
BGL_BIND_PROCEDURE(BGl_charzd2whitespacezf3zd2envzf3zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2whites1534z00);
BGL_BIND_PROCEDURE(BGl_charzd2upcasezd2envz00zz__r4_characters_6_6z00, BgL_bgl_za762charza7d2upcase1533z00);
BGL_BIND_PROCEDURE(BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00, BgL_bgl_za762charza7d3za7f3za7421532z00);
BGL_BIND_PROCEDURE(BGl_integerzd2ze3charzd2envze3zz__r4_characters_6_6z00, BgL_bgl_za762integerza7d2za7e31531za7);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long BgL_checksumz00_1220, char * BgL_fromz00_1221)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00(); 
return 
BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00(void)
{
{ /* Ieee/char.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* char? */
BGL_EXPORTED_DEF bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t BgL_objz00_3)
{
{ /* Ieee/char.scm 131 */
return 
CHARP(BgL_objz00_3);} 

}



/* &char? */
obj_t BGl_z62charzf3z91zz__r4_characters_6_6z00(obj_t BgL_envz00_1090, obj_t BgL_objz00_1091)
{
{ /* Ieee/char.scm 131 */
return 
BBOOL(
BGl_charzf3zf3zz__r4_characters_6_6z00(BgL_objz00_1091));} 

}



/* char=? */
BGL_EXPORTED_DEF bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned char BgL_char1z00_4, unsigned char BgL_char2z00_5)
{
{ /* Ieee/char.scm 137 */
return 
(BgL_char1z00_4==BgL_char2z00_5);} 

}



/* &char=? */
obj_t BGl_z62charzd3zf3z42zz__r4_characters_6_6z00(obj_t BgL_envz00_1092, obj_t BgL_char1z00_1093, obj_t BgL_char2z00_1094)
{
{ /* Ieee/char.scm 137 */
{ /* Ieee/char.scm 138 */
 bool_t BgL_tmpz00_1233;
{ /* Ieee/char.scm 138 */
 unsigned char BgL_auxz00_1243; unsigned char BgL_auxz00_1234;
{ /* Ieee/char.scm 138 */
 obj_t BgL_tmpz00_1244;
if(
CHARP(BgL_char2z00_1094))
{ /* Ieee/char.scm 138 */
BgL_tmpz00_1244 = BgL_char2z00_1094
; }  else 
{ 
 obj_t BgL_auxz00_1247;
BgL_auxz00_1247 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(6542L), BGl_string1503z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1094); 
FAILURE(BgL_auxz00_1247,BFALSE,BFALSE);} 
BgL_auxz00_1243 = 
CCHAR(BgL_tmpz00_1244); } 
{ /* Ieee/char.scm 138 */
 obj_t BgL_tmpz00_1235;
if(
CHARP(BgL_char1z00_1093))
{ /* Ieee/char.scm 138 */
BgL_tmpz00_1235 = BgL_char1z00_1093
; }  else 
{ 
 obj_t BgL_auxz00_1238;
BgL_auxz00_1238 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(6542L), BGl_string1503z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1093); 
FAILURE(BgL_auxz00_1238,BFALSE,BFALSE);} 
BgL_auxz00_1234 = 
CCHAR(BgL_tmpz00_1235); } 
BgL_tmpz00_1233 = 
BGl_charzd3zf3z20zz__r4_characters_6_6z00(BgL_auxz00_1234, BgL_auxz00_1243); } 
return 
BBOOL(BgL_tmpz00_1233);} } 

}



/* char<? */
BGL_EXPORTED_DEF bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned char BgL_char1z00_6, unsigned char BgL_char2z00_7)
{
{ /* Ieee/char.scm 143 */
return 
(BgL_char1z00_6<BgL_char2z00_7);} 

}



/* &char<? */
obj_t BGl_z62charzc3zf3z52zz__r4_characters_6_6z00(obj_t BgL_envz00_1095, obj_t BgL_char1z00_1096, obj_t BgL_char2z00_1097)
{
{ /* Ieee/char.scm 143 */
{ /* Ieee/char.scm 144 */
 bool_t BgL_tmpz00_1255;
{ /* Ieee/char.scm 144 */
 unsigned char BgL_auxz00_1265; unsigned char BgL_auxz00_1256;
{ /* Ieee/char.scm 144 */
 obj_t BgL_tmpz00_1266;
if(
CHARP(BgL_char2z00_1097))
{ /* Ieee/char.scm 144 */
BgL_tmpz00_1266 = BgL_char2z00_1097
; }  else 
{ 
 obj_t BgL_auxz00_1269;
BgL_auxz00_1269 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(6828L), BGl_string1505z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1097); 
FAILURE(BgL_auxz00_1269,BFALSE,BFALSE);} 
BgL_auxz00_1265 = 
CCHAR(BgL_tmpz00_1266); } 
{ /* Ieee/char.scm 144 */
 obj_t BgL_tmpz00_1257;
if(
CHARP(BgL_char1z00_1096))
{ /* Ieee/char.scm 144 */
BgL_tmpz00_1257 = BgL_char1z00_1096
; }  else 
{ 
 obj_t BgL_auxz00_1260;
BgL_auxz00_1260 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(6828L), BGl_string1505z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1096); 
FAILURE(BgL_auxz00_1260,BFALSE,BFALSE);} 
BgL_auxz00_1256 = 
CCHAR(BgL_tmpz00_1257); } 
BgL_tmpz00_1255 = 
BGl_charzc3zf3z30zz__r4_characters_6_6z00(BgL_auxz00_1256, BgL_auxz00_1265); } 
return 
BBOOL(BgL_tmpz00_1255);} } 

}



/* char>? */
BGL_EXPORTED_DEF bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned char BgL_char1z00_8, unsigned char BgL_char2z00_9)
{
{ /* Ieee/char.scm 149 */
return 
(BgL_char1z00_8>BgL_char2z00_9);} 

}



/* &char>? */
obj_t BGl_z62charze3zf3z72zz__r4_characters_6_6z00(obj_t BgL_envz00_1098, obj_t BgL_char1z00_1099, obj_t BgL_char2z00_1100)
{
{ /* Ieee/char.scm 149 */
{ /* Ieee/char.scm 150 */
 bool_t BgL_tmpz00_1277;
{ /* Ieee/char.scm 150 */
 unsigned char BgL_auxz00_1287; unsigned char BgL_auxz00_1278;
{ /* Ieee/char.scm 150 */
 obj_t BgL_tmpz00_1288;
if(
CHARP(BgL_char2z00_1100))
{ /* Ieee/char.scm 150 */
BgL_tmpz00_1288 = BgL_char2z00_1100
; }  else 
{ 
 obj_t BgL_auxz00_1291;
BgL_auxz00_1291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7115L), BGl_string1506z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1100); 
FAILURE(BgL_auxz00_1291,BFALSE,BFALSE);} 
BgL_auxz00_1287 = 
CCHAR(BgL_tmpz00_1288); } 
{ /* Ieee/char.scm 150 */
 obj_t BgL_tmpz00_1279;
if(
CHARP(BgL_char1z00_1099))
{ /* Ieee/char.scm 150 */
BgL_tmpz00_1279 = BgL_char1z00_1099
; }  else 
{ 
 obj_t BgL_auxz00_1282;
BgL_auxz00_1282 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7115L), BGl_string1506z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1099); 
FAILURE(BgL_auxz00_1282,BFALSE,BFALSE);} 
BgL_auxz00_1278 = 
CCHAR(BgL_tmpz00_1279); } 
BgL_tmpz00_1277 = 
BGl_charze3zf3z10zz__r4_characters_6_6z00(BgL_auxz00_1278, BgL_auxz00_1287); } 
return 
BBOOL(BgL_tmpz00_1277);} } 

}



/* char<=? */
BGL_EXPORTED_DEF bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned char BgL_char1z00_10, unsigned char BgL_char2z00_11)
{
{ /* Ieee/char.scm 155 */
return 
(BgL_char1z00_10<=BgL_char2z00_11);} 

}



/* &char<=? */
obj_t BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00(obj_t BgL_envz00_1101, obj_t BgL_char1z00_1102, obj_t BgL_char2z00_1103)
{
{ /* Ieee/char.scm 155 */
{ /* Ieee/char.scm 156 */
 bool_t BgL_tmpz00_1299;
{ /* Ieee/char.scm 156 */
 unsigned char BgL_auxz00_1309; unsigned char BgL_auxz00_1300;
{ /* Ieee/char.scm 156 */
 obj_t BgL_tmpz00_1310;
if(
CHARP(BgL_char2z00_1103))
{ /* Ieee/char.scm 156 */
BgL_tmpz00_1310 = BgL_char2z00_1103
; }  else 
{ 
 obj_t BgL_auxz00_1313;
BgL_auxz00_1313 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7402L), BGl_string1507z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1103); 
FAILURE(BgL_auxz00_1313,BFALSE,BFALSE);} 
BgL_auxz00_1309 = 
CCHAR(BgL_tmpz00_1310); } 
{ /* Ieee/char.scm 156 */
 obj_t BgL_tmpz00_1301;
if(
CHARP(BgL_char1z00_1102))
{ /* Ieee/char.scm 156 */
BgL_tmpz00_1301 = BgL_char1z00_1102
; }  else 
{ 
 obj_t BgL_auxz00_1304;
BgL_auxz00_1304 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7402L), BGl_string1507z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1102); 
FAILURE(BgL_auxz00_1304,BFALSE,BFALSE);} 
BgL_auxz00_1300 = 
CCHAR(BgL_tmpz00_1301); } 
BgL_tmpz00_1299 = 
BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(BgL_auxz00_1300, BgL_auxz00_1309); } 
return 
BBOOL(BgL_tmpz00_1299);} } 

}



/* char>=? */
BGL_EXPORTED_DEF bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned char BgL_char1z00_12, unsigned char BgL_char2z00_13)
{
{ /* Ieee/char.scm 161 */
return 
(BgL_char1z00_12>=BgL_char2z00_13);} 

}



/* &char>=? */
obj_t BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00(obj_t BgL_envz00_1104, obj_t BgL_char1z00_1105, obj_t BgL_char2z00_1106)
{
{ /* Ieee/char.scm 161 */
{ /* Ieee/char.scm 162 */
 bool_t BgL_tmpz00_1321;
{ /* Ieee/char.scm 162 */
 unsigned char BgL_auxz00_1331; unsigned char BgL_auxz00_1322;
{ /* Ieee/char.scm 162 */
 obj_t BgL_tmpz00_1332;
if(
CHARP(BgL_char2z00_1106))
{ /* Ieee/char.scm 162 */
BgL_tmpz00_1332 = BgL_char2z00_1106
; }  else 
{ 
 obj_t BgL_auxz00_1335;
BgL_auxz00_1335 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7690L), BGl_string1508z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1106); 
FAILURE(BgL_auxz00_1335,BFALSE,BFALSE);} 
BgL_auxz00_1331 = 
CCHAR(BgL_tmpz00_1332); } 
{ /* Ieee/char.scm 162 */
 obj_t BgL_tmpz00_1323;
if(
CHARP(BgL_char1z00_1105))
{ /* Ieee/char.scm 162 */
BgL_tmpz00_1323 = BgL_char1z00_1105
; }  else 
{ 
 obj_t BgL_auxz00_1326;
BgL_auxz00_1326 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7690L), BGl_string1508z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1105); 
FAILURE(BgL_auxz00_1326,BFALSE,BFALSE);} 
BgL_auxz00_1322 = 
CCHAR(BgL_tmpz00_1323); } 
BgL_tmpz00_1321 = 
BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(BgL_auxz00_1322, BgL_auxz00_1331); } 
return 
BBOOL(BgL_tmpz00_1321);} } 

}



/* char-ci=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_14, unsigned char BgL_char2z00_15)
{
{ /* Ieee/char.scm 167 */
return 
(
toupper(BgL_char1z00_14)==
toupper(BgL_char2z00_15));} 

}



/* &char-ci=? */
obj_t BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00(obj_t BgL_envz00_1107, obj_t BgL_char1z00_1108, obj_t BgL_char2z00_1109)
{
{ /* Ieee/char.scm 167 */
{ /* Ieee/char.scm 168 */
 bool_t BgL_tmpz00_1345;
{ /* Ieee/char.scm 168 */
 unsigned char BgL_auxz00_1355; unsigned char BgL_auxz00_1346;
{ /* Ieee/char.scm 168 */
 obj_t BgL_tmpz00_1356;
if(
CHARP(BgL_char2z00_1109))
{ /* Ieee/char.scm 168 */
BgL_tmpz00_1356 = BgL_char2z00_1109
; }  else 
{ 
 obj_t BgL_auxz00_1359;
BgL_auxz00_1359 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7988L), BGl_string1509z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1109); 
FAILURE(BgL_auxz00_1359,BFALSE,BFALSE);} 
BgL_auxz00_1355 = 
CCHAR(BgL_tmpz00_1356); } 
{ /* Ieee/char.scm 168 */
 obj_t BgL_tmpz00_1347;
if(
CHARP(BgL_char1z00_1108))
{ /* Ieee/char.scm 168 */
BgL_tmpz00_1347 = BgL_char1z00_1108
; }  else 
{ 
 obj_t BgL_auxz00_1350;
BgL_auxz00_1350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(7988L), BGl_string1509z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1108); 
FAILURE(BgL_auxz00_1350,BFALSE,BFALSE);} 
BgL_auxz00_1346 = 
CCHAR(BgL_tmpz00_1347); } 
BgL_tmpz00_1345 = 
BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(BgL_auxz00_1346, BgL_auxz00_1355); } 
return 
BBOOL(BgL_tmpz00_1345);} } 

}



/* char-ci<? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_16, unsigned char BgL_char2z00_17)
{
{ /* Ieee/char.scm 173 */
return 
(
toupper(BgL_char1z00_16)<
toupper(BgL_char2z00_17));} 

}



/* &char-ci<? */
obj_t BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00(obj_t BgL_envz00_1110, obj_t BgL_char1z00_1111, obj_t BgL_char2z00_1112)
{
{ /* Ieee/char.scm 173 */
{ /* Ieee/char.scm 174 */
 bool_t BgL_tmpz00_1369;
{ /* Ieee/char.scm 174 */
 unsigned char BgL_auxz00_1379; unsigned char BgL_auxz00_1370;
{ /* Ieee/char.scm 174 */
 obj_t BgL_tmpz00_1380;
if(
CHARP(BgL_char2z00_1112))
{ /* Ieee/char.scm 174 */
BgL_tmpz00_1380 = BgL_char2z00_1112
; }  else 
{ 
 obj_t BgL_auxz00_1383;
BgL_auxz00_1383 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8305L), BGl_string1510z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1112); 
FAILURE(BgL_auxz00_1383,BFALSE,BFALSE);} 
BgL_auxz00_1379 = 
CCHAR(BgL_tmpz00_1380); } 
{ /* Ieee/char.scm 174 */
 obj_t BgL_tmpz00_1371;
if(
CHARP(BgL_char1z00_1111))
{ /* Ieee/char.scm 174 */
BgL_tmpz00_1371 = BgL_char1z00_1111
; }  else 
{ 
 obj_t BgL_auxz00_1374;
BgL_auxz00_1374 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8305L), BGl_string1510z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1111); 
FAILURE(BgL_auxz00_1374,BFALSE,BFALSE);} 
BgL_auxz00_1370 = 
CCHAR(BgL_tmpz00_1371); } 
BgL_tmpz00_1369 = 
BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(BgL_auxz00_1370, BgL_auxz00_1379); } 
return 
BBOOL(BgL_tmpz00_1369);} } 

}



/* char-ci>? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_18, unsigned char BgL_char2z00_19)
{
{ /* Ieee/char.scm 179 */
return 
(
toupper(BgL_char1z00_18)>
toupper(BgL_char2z00_19));} 

}



/* &char-ci>? */
obj_t BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00(obj_t BgL_envz00_1113, obj_t BgL_char1z00_1114, obj_t BgL_char2z00_1115)
{
{ /* Ieee/char.scm 179 */
{ /* Ieee/char.scm 180 */
 bool_t BgL_tmpz00_1393;
{ /* Ieee/char.scm 180 */
 unsigned char BgL_auxz00_1403; unsigned char BgL_auxz00_1394;
{ /* Ieee/char.scm 180 */
 obj_t BgL_tmpz00_1404;
if(
CHARP(BgL_char2z00_1115))
{ /* Ieee/char.scm 180 */
BgL_tmpz00_1404 = BgL_char2z00_1115
; }  else 
{ 
 obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8624L), BGl_string1511z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1115); 
FAILURE(BgL_auxz00_1407,BFALSE,BFALSE);} 
BgL_auxz00_1403 = 
CCHAR(BgL_tmpz00_1404); } 
{ /* Ieee/char.scm 180 */
 obj_t BgL_tmpz00_1395;
if(
CHARP(BgL_char1z00_1114))
{ /* Ieee/char.scm 180 */
BgL_tmpz00_1395 = BgL_char1z00_1114
; }  else 
{ 
 obj_t BgL_auxz00_1398;
BgL_auxz00_1398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8624L), BGl_string1511z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1114); 
FAILURE(BgL_auxz00_1398,BFALSE,BFALSE);} 
BgL_auxz00_1394 = 
CCHAR(BgL_tmpz00_1395); } 
BgL_tmpz00_1393 = 
BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(BgL_auxz00_1394, BgL_auxz00_1403); } 
return 
BBOOL(BgL_tmpz00_1393);} } 

}



/* char-ci<=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char BgL_char1z00_20, unsigned char BgL_char2z00_21)
{
{ /* Ieee/char.scm 185 */
return 
(
toupper(BgL_char1z00_20)<=
toupper(BgL_char2z00_21));} 

}



/* &char-ci<=? */
obj_t BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00(obj_t BgL_envz00_1116, obj_t BgL_char1z00_1117, obj_t BgL_char2z00_1118)
{
{ /* Ieee/char.scm 185 */
{ /* Ieee/char.scm 186 */
 bool_t BgL_tmpz00_1417;
{ /* Ieee/char.scm 186 */
 unsigned char BgL_auxz00_1427; unsigned char BgL_auxz00_1418;
{ /* Ieee/char.scm 186 */
 obj_t BgL_tmpz00_1428;
if(
CHARP(BgL_char2z00_1118))
{ /* Ieee/char.scm 186 */
BgL_tmpz00_1428 = BgL_char2z00_1118
; }  else 
{ 
 obj_t BgL_auxz00_1431;
BgL_auxz00_1431 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8943L), BGl_string1512z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1118); 
FAILURE(BgL_auxz00_1431,BFALSE,BFALSE);} 
BgL_auxz00_1427 = 
CCHAR(BgL_tmpz00_1428); } 
{ /* Ieee/char.scm 186 */
 obj_t BgL_tmpz00_1419;
if(
CHARP(BgL_char1z00_1117))
{ /* Ieee/char.scm 186 */
BgL_tmpz00_1419 = BgL_char1z00_1117
; }  else 
{ 
 obj_t BgL_auxz00_1422;
BgL_auxz00_1422 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(8943L), BGl_string1512z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1117); 
FAILURE(BgL_auxz00_1422,BFALSE,BFALSE);} 
BgL_auxz00_1418 = 
CCHAR(BgL_tmpz00_1419); } 
BgL_tmpz00_1417 = 
BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(BgL_auxz00_1418, BgL_auxz00_1427); } 
return 
BBOOL(BgL_tmpz00_1417);} } 

}



/* char-ci>=? */
BGL_EXPORTED_DEF bool_t BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char BgL_char1z00_22, unsigned char BgL_char2z00_23)
{
{ /* Ieee/char.scm 191 */
return 
(
toupper(BgL_char1z00_22)>=
toupper(BgL_char2z00_23));} 

}



/* &char-ci>=? */
obj_t BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00(obj_t BgL_envz00_1119, obj_t BgL_char1z00_1120, obj_t BgL_char2z00_1121)
{
{ /* Ieee/char.scm 191 */
{ /* Ieee/char.scm 192 */
 bool_t BgL_tmpz00_1441;
{ /* Ieee/char.scm 192 */
 unsigned char BgL_auxz00_1451; unsigned char BgL_auxz00_1442;
{ /* Ieee/char.scm 192 */
 obj_t BgL_tmpz00_1452;
if(
CHARP(BgL_char2z00_1121))
{ /* Ieee/char.scm 192 */
BgL_tmpz00_1452 = BgL_char2z00_1121
; }  else 
{ 
 obj_t BgL_auxz00_1455;
BgL_auxz00_1455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(9262L), BGl_string1513z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1121); 
FAILURE(BgL_auxz00_1455,BFALSE,BFALSE);} 
BgL_auxz00_1451 = 
CCHAR(BgL_tmpz00_1452); } 
{ /* Ieee/char.scm 192 */
 obj_t BgL_tmpz00_1443;
if(
CHARP(BgL_char1z00_1120))
{ /* Ieee/char.scm 192 */
BgL_tmpz00_1443 = BgL_char1z00_1120
; }  else 
{ 
 obj_t BgL_auxz00_1446;
BgL_auxz00_1446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(9262L), BGl_string1513z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1120); 
FAILURE(BgL_auxz00_1446,BFALSE,BFALSE);} 
BgL_auxz00_1442 = 
CCHAR(BgL_tmpz00_1443); } 
BgL_tmpz00_1441 = 
BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(BgL_auxz00_1442, BgL_auxz00_1451); } 
return 
BBOOL(BgL_tmpz00_1441);} } 

}



/* char-alphabetic? */
BGL_EXPORTED_DEF bool_t BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_24)
{
{ /* Ieee/char.scm 197 */
return 
isalpha(BgL_charz00_24);} 

}



/* &char-alphabetic? */
obj_t BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00(obj_t BgL_envz00_1122, obj_t BgL_charz00_1123)
{
{ /* Ieee/char.scm 197 */
{ /* Ieee/char.scm 199 */
 bool_t BgL_tmpz00_1463;
{ /* Ieee/char.scm 199 */
 unsigned char BgL_auxz00_1464;
{ /* Ieee/char.scm 199 */
 obj_t BgL_tmpz00_1465;
if(
CHARP(BgL_charz00_1123))
{ /* Ieee/char.scm 199 */
BgL_tmpz00_1465 = BgL_charz00_1123
; }  else 
{ 
 obj_t BgL_auxz00_1468;
BgL_auxz00_1468 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(9598L), BGl_string1514z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1123); 
FAILURE(BgL_auxz00_1468,BFALSE,BFALSE);} 
BgL_auxz00_1464 = 
CCHAR(BgL_tmpz00_1465); } 
BgL_tmpz00_1463 = 
BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(BgL_auxz00_1464); } 
return 
BBOOL(BgL_tmpz00_1463);} } 

}



/* char-numeric? */
BGL_EXPORTED_DEF bool_t BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_25)
{
{ /* Ieee/char.scm 208 */
return 
isdigit(BgL_charz00_25);} 

}



/* &char-numeric? */
obj_t BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00(obj_t BgL_envz00_1124, obj_t BgL_charz00_1125)
{
{ /* Ieee/char.scm 208 */
{ /* Ieee/char.scm 210 */
 bool_t BgL_tmpz00_1476;
{ /* Ieee/char.scm 210 */
 unsigned char BgL_auxz00_1477;
{ /* Ieee/char.scm 210 */
 obj_t BgL_tmpz00_1478;
if(
CHARP(BgL_charz00_1125))
{ /* Ieee/char.scm 210 */
BgL_tmpz00_1478 = BgL_charz00_1125
; }  else 
{ 
 obj_t BgL_auxz00_1481;
BgL_auxz00_1481 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(10040L), BGl_string1515z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1125); 
FAILURE(BgL_auxz00_1481,BFALSE,BFALSE);} 
BgL_auxz00_1477 = 
CCHAR(BgL_tmpz00_1478); } 
BgL_tmpz00_1476 = 
BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(BgL_auxz00_1477); } 
return 
BBOOL(BgL_tmpz00_1476);} } 

}



/* char-whitespace? */
BGL_EXPORTED_DEF bool_t BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char BgL_charz00_26)
{
{ /* Ieee/char.scm 218 */
return 
isspace(BgL_charz00_26);} 

}



/* &char-whitespace? */
obj_t BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00(obj_t BgL_envz00_1126, obj_t BgL_charz00_1127)
{
{ /* Ieee/char.scm 218 */
{ /* Ieee/char.scm 220 */
 bool_t BgL_tmpz00_1489;
{ /* Ieee/char.scm 220 */
 unsigned char BgL_auxz00_1490;
{ /* Ieee/char.scm 220 */
 obj_t BgL_tmpz00_1491;
if(
CHARP(BgL_charz00_1127))
{ /* Ieee/char.scm 220 */
BgL_tmpz00_1491 = BgL_charz00_1127
; }  else 
{ 
 obj_t BgL_auxz00_1494;
BgL_auxz00_1494 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(10423L), BGl_string1516z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1127); 
FAILURE(BgL_auxz00_1494,BFALSE,BFALSE);} 
BgL_auxz00_1490 = 
CCHAR(BgL_tmpz00_1491); } 
BgL_tmpz00_1489 = 
BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(BgL_auxz00_1490); } 
return 
BBOOL(BgL_tmpz00_1489);} } 

}



/* char-upper-case? */
BGL_EXPORTED_DEF bool_t BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char BgL_charz00_27)
{
{ /* Ieee/char.scm 229 */
return 
isupper(BgL_charz00_27);} 

}



/* &char-upper-case? */
obj_t BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00(obj_t BgL_envz00_1128, obj_t BgL_charz00_1129)
{
{ /* Ieee/char.scm 229 */
{ /* Ieee/char.scm 231 */
 bool_t BgL_tmpz00_1502;
{ /* Ieee/char.scm 231 */
 unsigned char BgL_auxz00_1503;
{ /* Ieee/char.scm 231 */
 obj_t BgL_tmpz00_1504;
if(
CHARP(BgL_charz00_1129))
{ /* Ieee/char.scm 231 */
BgL_tmpz00_1504 = BgL_charz00_1129
; }  else 
{ 
 obj_t BgL_auxz00_1507;
BgL_auxz00_1507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(10859L), BGl_string1517z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1129); 
FAILURE(BgL_auxz00_1507,BFALSE,BFALSE);} 
BgL_auxz00_1503 = 
CCHAR(BgL_tmpz00_1504); } 
BgL_tmpz00_1502 = 
BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(BgL_auxz00_1503); } 
return 
BBOOL(BgL_tmpz00_1502);} } 

}



/* char-lower-case? */
BGL_EXPORTED_DEF bool_t BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char BgL_charz00_28)
{
{ /* Ieee/char.scm 239 */
return 
islower(BgL_charz00_28);} 

}



/* &char-lower-case? */
obj_t BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00(obj_t BgL_envz00_1130, obj_t BgL_charz00_1131)
{
{ /* Ieee/char.scm 239 */
{ /* Ieee/char.scm 241 */
 bool_t BgL_tmpz00_1515;
{ /* Ieee/char.scm 241 */
 unsigned char BgL_auxz00_1516;
{ /* Ieee/char.scm 241 */
 obj_t BgL_tmpz00_1517;
if(
CHARP(BgL_charz00_1131))
{ /* Ieee/char.scm 241 */
BgL_tmpz00_1517 = BgL_charz00_1131
; }  else 
{ 
 obj_t BgL_auxz00_1520;
BgL_auxz00_1520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(11245L), BGl_string1518z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1131); 
FAILURE(BgL_auxz00_1520,BFALSE,BFALSE);} 
BgL_auxz00_1516 = 
CCHAR(BgL_tmpz00_1517); } 
BgL_tmpz00_1515 = 
BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(BgL_auxz00_1516); } 
return 
BBOOL(BgL_tmpz00_1515);} } 

}



/* char->integer */
BGL_EXPORTED_DEF long BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char BgL_charz00_29)
{
{ /* Ieee/char.scm 249 */
return 
(BgL_charz00_29);} 

}



/* &char->integer */
obj_t BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00(obj_t BgL_envz00_1132, obj_t BgL_charz00_1133)
{
{ /* Ieee/char.scm 249 */
{ /* Ieee/char.scm 250 */
 long BgL_tmpz00_1528;
{ /* Ieee/char.scm 250 */
 unsigned char BgL_auxz00_1529;
{ /* Ieee/char.scm 250 */
 obj_t BgL_tmpz00_1530;
if(
CHARP(BgL_charz00_1133))
{ /* Ieee/char.scm 250 */
BgL_tmpz00_1530 = BgL_charz00_1133
; }  else 
{ 
 obj_t BgL_auxz00_1533;
BgL_auxz00_1533 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(11599L), BGl_string1519z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1133); 
FAILURE(BgL_auxz00_1533,BFALSE,BFALSE);} 
BgL_auxz00_1529 = 
CCHAR(BgL_tmpz00_1530); } 
BgL_tmpz00_1528 = 
BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(BgL_auxz00_1529); } 
return 
BINT(BgL_tmpz00_1528);} } 

}



/* integer->char */
BGL_EXPORTED_DEF unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long BgL_intz00_30)
{
{ /* Ieee/char.scm 255 */
{ /* Ieee/char.scm 256 */
 bool_t BgL_test1612z00_1540;
if(
(BgL_intz00_30>=0L))
{ /* Ieee/char.scm 256 */
BgL_test1612z00_1540 = 
(BgL_intz00_30<=255L)
; }  else 
{ /* Ieee/char.scm 256 */
BgL_test1612z00_1540 = ((bool_t)0)
; } 
if(BgL_test1612z00_1540)
{ /* Ieee/char.scm 256 */
return 
(BgL_intz00_30);}  else 
{ /* Ieee/char.scm 258 */
 obj_t BgL_tmpz00_1545;
{ /* Ieee/char.scm 258 */
 obj_t BgL_aux1484z00_1202;
BgL_aux1484z00_1202 = 
BGl_errorz00zz__errorz00(BGl_string1520z00zz__r4_characters_6_6z00, BGl_string1521z00zz__r4_characters_6_6z00, 
BINT(BgL_intz00_30)); 
if(
CHARP(BgL_aux1484z00_1202))
{ /* Ieee/char.scm 258 */
BgL_tmpz00_1545 = BgL_aux1484z00_1202
; }  else 
{ 
 obj_t BgL_auxz00_1550;
BgL_auxz00_1550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(11951L), BGl_string1520z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_aux1484z00_1202); 
FAILURE(BgL_auxz00_1550,BFALSE,BFALSE);} } 
return 
CCHAR(BgL_tmpz00_1545);} } } 

}



/* &integer->char */
obj_t BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00(obj_t BgL_envz00_1134, obj_t BgL_intz00_1135)
{
{ /* Ieee/char.scm 255 */
{ /* Ieee/char.scm 256 */
 unsigned char BgL_tmpz00_1555;
{ /* Ieee/char.scm 256 */
 long BgL_auxz00_1556;
{ /* Ieee/char.scm 256 */
 obj_t BgL_tmpz00_1557;
if(
INTEGERP(BgL_intz00_1135))
{ /* Ieee/char.scm 256 */
BgL_tmpz00_1557 = BgL_intz00_1135
; }  else 
{ 
 obj_t BgL_auxz00_1560;
BgL_auxz00_1560 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(11877L), BGl_string1522z00zz__r4_characters_6_6z00, BGl_string1523z00zz__r4_characters_6_6z00, BgL_intz00_1135); 
FAILURE(BgL_auxz00_1560,BFALSE,BFALSE);} 
BgL_auxz00_1556 = 
(long)CINT(BgL_tmpz00_1557); } 
BgL_tmpz00_1555 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(BgL_auxz00_1556); } 
return 
BCHAR(BgL_tmpz00_1555);} } 

}



/* integer->char-ur */
BGL_EXPORTED_DEF unsigned char BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long BgL_intz00_31)
{
{ /* Ieee/char.scm 263 */
return 
(BgL_intz00_31);} 

}



/* &integer->char-ur */
obj_t BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00(obj_t BgL_envz00_1136, obj_t BgL_intz00_1137)
{
{ /* Ieee/char.scm 263 */
{ /* Ieee/char.scm 264 */
 unsigned char BgL_tmpz00_1568;
{ /* Ieee/char.scm 264 */
 long BgL_auxz00_1569;
{ /* Ieee/char.scm 264 */
 obj_t BgL_tmpz00_1570;
if(
INTEGERP(BgL_intz00_1137))
{ /* Ieee/char.scm 264 */
BgL_tmpz00_1570 = BgL_intz00_1137
; }  else 
{ 
 obj_t BgL_auxz00_1573;
BgL_auxz00_1573 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(12268L), BGl_string1524z00zz__r4_characters_6_6z00, BGl_string1523z00zz__r4_characters_6_6z00, BgL_intz00_1137); 
FAILURE(BgL_auxz00_1573,BFALSE,BFALSE);} 
BgL_auxz00_1569 = 
(long)CINT(BgL_tmpz00_1570); } 
BgL_tmpz00_1568 = 
BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(BgL_auxz00_1569); } 
return 
BCHAR(BgL_tmpz00_1568);} } 

}



/* char-upcase */
BGL_EXPORTED_DEF unsigned char BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_32)
{
{ /* Ieee/char.scm 269 */
return 
toupper(BgL_charz00_32);} 

}



/* &char-upcase */
obj_t BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1138, obj_t BgL_charz00_1139)
{
{ /* Ieee/char.scm 269 */
{ /* Ieee/char.scm 270 */
 unsigned char BgL_tmpz00_1581;
{ /* Ieee/char.scm 270 */
 unsigned char BgL_auxz00_1582;
{ /* Ieee/char.scm 270 */
 obj_t BgL_tmpz00_1583;
if(
CHARP(BgL_charz00_1139))
{ /* Ieee/char.scm 270 */
BgL_tmpz00_1583 = BgL_charz00_1139
; }  else 
{ 
 obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(12552L), BGl_string1525z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1139); 
FAILURE(BgL_auxz00_1586,BFALSE,BFALSE);} 
BgL_auxz00_1582 = 
CCHAR(BgL_tmpz00_1583); } 
BgL_tmpz00_1581 = 
BGl_charzd2upcasezd2zz__r4_characters_6_6z00(BgL_auxz00_1582); } 
return 
BCHAR(BgL_tmpz00_1581);} } 

}



/* char-downcase */
BGL_EXPORTED_DEF unsigned char BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_33)
{
{ /* Ieee/char.scm 275 */
return 
tolower(BgL_charz00_33);} 

}



/* &char-downcase */
obj_t BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1140, obj_t BgL_charz00_1141)
{
{ /* Ieee/char.scm 275 */
{ /* Ieee/char.scm 276 */
 unsigned char BgL_tmpz00_1594;
{ /* Ieee/char.scm 276 */
 unsigned char BgL_auxz00_1595;
{ /* Ieee/char.scm 276 */
 obj_t BgL_tmpz00_1596;
if(
CHARP(BgL_charz00_1141))
{ /* Ieee/char.scm 276 */
BgL_tmpz00_1596 = BgL_charz00_1141
; }  else 
{ 
 obj_t BgL_auxz00_1599;
BgL_auxz00_1599 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(12837L), BGl_string1526z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_charz00_1141); 
FAILURE(BgL_auxz00_1599,BFALSE,BFALSE);} 
BgL_auxz00_1595 = 
CCHAR(BgL_tmpz00_1596); } 
BgL_tmpz00_1594 = 
BGl_charzd2downcasezd2zz__r4_characters_6_6z00(BgL_auxz00_1595); } 
return 
BCHAR(BgL_tmpz00_1594);} } 

}



/* char-or */
BGL_EXPORTED_DEF unsigned char BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_34, unsigned char BgL_char2z00_35)
{
{ /* Ieee/char.scm 281 */
return 
(BgL_char1z00_34|BgL_char2z00_35);} 

}



/* &char-or */
obj_t BGl_z62charzd2orzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1142, obj_t BgL_char1z00_1143, obj_t BgL_char2z00_1144)
{
{ /* Ieee/char.scm 281 */
{ /* Ieee/char.scm 282 */
 unsigned char BgL_tmpz00_1607;
{ /* Ieee/char.scm 282 */
 unsigned char BgL_auxz00_1617; unsigned char BgL_auxz00_1608;
{ /* Ieee/char.scm 282 */
 obj_t BgL_tmpz00_1618;
if(
CHARP(BgL_char2z00_1144))
{ /* Ieee/char.scm 282 */
BgL_tmpz00_1618 = BgL_char2z00_1144
; }  else 
{ 
 obj_t BgL_auxz00_1621;
BgL_auxz00_1621 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(13131L), BGl_string1527z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1144); 
FAILURE(BgL_auxz00_1621,BFALSE,BFALSE);} 
BgL_auxz00_1617 = 
CCHAR(BgL_tmpz00_1618); } 
{ /* Ieee/char.scm 282 */
 obj_t BgL_tmpz00_1609;
if(
CHARP(BgL_char1z00_1143))
{ /* Ieee/char.scm 282 */
BgL_tmpz00_1609 = BgL_char1z00_1143
; }  else 
{ 
 obj_t BgL_auxz00_1612;
BgL_auxz00_1612 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(13131L), BGl_string1527z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1143); 
FAILURE(BgL_auxz00_1612,BFALSE,BFALSE);} 
BgL_auxz00_1608 = 
CCHAR(BgL_tmpz00_1609); } 
BgL_tmpz00_1607 = 
BGl_charzd2orzd2zz__r4_characters_6_6z00(BgL_auxz00_1608, BgL_auxz00_1617); } 
return 
BCHAR(BgL_tmpz00_1607);} } 

}



/* char-and */
BGL_EXPORTED_DEF unsigned char BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_36, unsigned char BgL_char2z00_37)
{
{ /* Ieee/char.scm 287 */
return 
(BgL_char1z00_36&BgL_char2z00_37);} 

}



/* &char-and */
obj_t BGl_z62charzd2andzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1145, obj_t BgL_char1z00_1146, obj_t BgL_char2z00_1147)
{
{ /* Ieee/char.scm 287 */
{ /* Ieee/char.scm 288 */
 unsigned char BgL_tmpz00_1629;
{ /* Ieee/char.scm 288 */
 unsigned char BgL_auxz00_1639; unsigned char BgL_auxz00_1630;
{ /* Ieee/char.scm 288 */
 obj_t BgL_tmpz00_1640;
if(
CHARP(BgL_char2z00_1147))
{ /* Ieee/char.scm 288 */
BgL_tmpz00_1640 = BgL_char2z00_1147
; }  else 
{ 
 obj_t BgL_auxz00_1643;
BgL_auxz00_1643 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(13420L), BGl_string1528z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char2z00_1147); 
FAILURE(BgL_auxz00_1643,BFALSE,BFALSE);} 
BgL_auxz00_1639 = 
CCHAR(BgL_tmpz00_1640); } 
{ /* Ieee/char.scm 288 */
 obj_t BgL_tmpz00_1631;
if(
CHARP(BgL_char1z00_1146))
{ /* Ieee/char.scm 288 */
BgL_tmpz00_1631 = BgL_char1z00_1146
; }  else 
{ 
 obj_t BgL_auxz00_1634;
BgL_auxz00_1634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(13420L), BGl_string1528z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1146); 
FAILURE(BgL_auxz00_1634,BFALSE,BFALSE);} 
BgL_auxz00_1630 = 
CCHAR(BgL_tmpz00_1631); } 
BgL_tmpz00_1629 = 
BGl_charzd2andzd2zz__r4_characters_6_6z00(BgL_auxz00_1630, BgL_auxz00_1639); } 
return 
BCHAR(BgL_tmpz00_1629);} } 

}



/* char-not */
BGL_EXPORTED_DEF unsigned char BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_38)
{
{ /* Ieee/char.scm 293 */
return 
~(BgL_char1z00_38);} 

}



/* &char-not */
obj_t BGl_z62charzd2notzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1148, obj_t BgL_char1z00_1149)
{
{ /* Ieee/char.scm 293 */
{ /* Ieee/char.scm 294 */
 unsigned char BgL_tmpz00_1651;
{ /* Ieee/char.scm 294 */
 unsigned char BgL_auxz00_1652;
{ /* Ieee/char.scm 294 */
 obj_t BgL_tmpz00_1653;
if(
CHARP(BgL_char1z00_1149))
{ /* Ieee/char.scm 294 */
BgL_tmpz00_1653 = BgL_char1z00_1149
; }  else 
{ 
 obj_t BgL_auxz00_1656;
BgL_auxz00_1656 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__r4_characters_6_6z00, 
BINT(13704L), BGl_string1529z00zz__r4_characters_6_6z00, BGl_string1504z00zz__r4_characters_6_6z00, BgL_char1z00_1149); 
FAILURE(BgL_auxz00_1656,BFALSE,BFALSE);} 
BgL_auxz00_1652 = 
CCHAR(BgL_tmpz00_1653); } 
BgL_tmpz00_1651 = 
BGl_charzd2notzd2zz__r4_characters_6_6z00(BgL_auxz00_1652); } 
return 
BCHAR(BgL_tmpz00_1651);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00(void)
{
{ /* Ieee/char.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1530z00zz__r4_characters_6_6z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1530z00zz__r4_characters_6_6z00));} 

}

#ifdef __cplusplus
}
#endif
